clc; clear all;

load('workspace.mat');

% Gradient berechnen
[ux,uy]=pdegrad(p,t,u);

% Norm des Gradienten
normgrad=sqrt(ux.^2+uy.^2);
normgrad_int=pdeprtni(p,t,normgrad);


% Plotten
figure(1); % Lsung
pdesurf(p,t,u);
%figure(2);
%pdemesh(p,e,t);
figure(3); % Gradient
pdesurf(p,t,normgrad);
figure(4); % Gradient interpoliert
pdesurf(p,t,normgrad_int);

% Flche der Dreiecke
for i=1:length(t)
    
    DP1=t(1,i);
    DP2=t(2,i);
    DP3=t(3,i);
    
    a=norm(p(:,DP1)-p(:,DP2));
    b=norm(p(:,DP2)-p(:,DP3));
    c=norm(p(:,DP1)-p(:,DP3));
    
    F(1,i)=1/2*a*b*abs(sin(acos((-c^2+a^2+b^2)/2/a/b)));
end

% Intergral
A=sum(normgrad.*normgrad.*F);